package FreeType;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;
require DynaLoader;
require AutoLoader;

@ISA = qw(Exporter DynaLoader);
# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.
@EXPORT = qw(
	
);
$VERSION = '1.2';

bootstrap FreeType $VERSION;

# Preloaded methods go here.

sub TT_Flow_Down  {-1}
sub TT_Flow_Up     {1}
sub TT_Flow_Error  {0}
sub TTLOAD_SCALE_GLYPH  {1}
sub TTLOAD_HINT_GLYPH   {2}
sub TTLOAD_DEFAULT  {(TTLOAD_SCALE_GLYPH|TTLOAD_HINT_GLYPH)}
sub  TT_Callback_Glyph_Outline_Load  {0}
sub TT_Err_Ok                       {0}
sub TT_Err_Invalid_Face_Handle      {0x001}
sub TT_Err_Invalid_Instance_Handle  {0x002}
sub TT_Err_Invalid_Glyph_Handle     {0x003}
sub TT_Err_Invalid_CharMap_Handle   {0x004}
sub TT_Err_Invalid_Result_Address   {0x005}
sub TT_Err_Invalid_Glyph_Index      {0x006}
sub TT_Err_Invalid_Argument         {0x007}
sub TT_Err_Could_Not_Open_File      {0x008}
sub TT_Err_File_Is_Not_Collection   {0x009}
sub TT_Err_Table_Missing            {0x00A}
sub TT_Err_Invalid_Horiz_Metrics    {0x00B}
sub TT_Err_Invalid_CharMap_Format   {0x00C}
sub TT_Err_Invalid_PPem             {0x00D}
sub TT_Err_Invalid_File_Format      {0x010}
sub TT_Err_Invalid_Engine           {0x020}
sub TT_Err_Too_Many_Extensions      {0x021}
sub TT_Err_Extensions_Unsupported   {0x022}
sub TT_Err_Invalid_Extension_Id     {0x023}
sub TT_Err_Max_Profile_Missing      {0x080}
sub TT_Err_Header_Table_Missing     {0x081}
sub TT_Err_Horiz_Header_Missing     {0x082}
sub TT_Err_Locations_Missing        {0x083}
sub TT_Err_Name_Table_Missing       {0x084}
sub TT_Err_CMap_Table_Missing       {0x085}
sub TT_Err_Hmtx_Table_Missing       {0x086}
sub TT_Err_OS2_Table_Missing        {0x087}
sub TT_Err_Post_Table_Missing       {0x088}
sub TT_Err_Out_Of_Memory            {0x100}
sub TT_Err_Invalid_File_Offset      {0x200}
sub TT_Err_Invalid_File_Read        {0x201}
sub TT_Err_Invalid_Frame_Access     {0x202}
sub TT_Err_Too_Many_Points          {0x300}
sub TT_Err_Too_Many_Contours        {0x301}
sub TT_Err_Invalid_Composite        {0x302}
sub TT_Err_Too_Many_Ins             {0x303}
sub TT_Err_Invalid_Opcode           {0x400}
sub TT_Err_Too_Few_Arguments        {0x401}
sub TT_Err_Stack_Overflow           {0x402}
sub TT_Err_Code_Overflow            {0x403}
sub TT_Err_Bad_Argument             {0x404}
sub TT_Err_Divide_By_Zero           {0x405}
sub TT_Err_Storage_Overflow         {0x406}
sub TT_Err_Cvt_Overflow             {0x407}
sub TT_Err_Invalid_Reference        {0x408}
sub TT_Err_Invalid_Distance         {0x409}
sub TT_Err_Interpolate_Twilight     {0x40A}
sub TT_Err_Debug_OpCode             {0x40B}
sub TT_Err_ENDF_In_Exec_Stream      {0x40C}
sub TT_Err_Out_Of_CodeRanges        {0x40D}
sub TT_Err_Nested_DEFS              {0x40E}
sub TT_Err_Invalid_CodeRange        {0x40F}
sub TT_Err_Invalid_Displacement     {0x410}
sub TT_Err_Nested_Frame_Access      {0x500}
sub TT_Err_Invalid_Cache_List       {0x501}
sub TT_Err_Could_Not_Find_Context   {0x502}
sub TT_Err_Unlisted_Object          {0x503}
sub TT_Err_Raster_Pool_Overflow     {0x600}
sub TT_Err_Raster_Negative_Height   {0x601}
sub TT_Err_Raster_Invalid_Value     {0x602}
sub TT_Err_Raster_Not_Initialized   {0x603}

# Autoload methods go after =cut, and are processed by the autosplit program.

1;
__END__
# Below is the stub of documentation for your module. You better edit it!

=head1 NAME

FreeType - Perl extension for blah blah blah

=head1 SYNOPSIS

  use FreeType;
  blah blah blah

=head1 DESCRIPTION

Stub documentation for FreeType was created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

Blah blah blah.

=head1 AUTHOR

A. U. Thor, a.u.thor@a.galaxy.far.far.away

=head1 SEE ALSO

perl(1).

=cut
